Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 314873 - net-misc/nxserver-freenx: QA Notice: make jobserver unavailable
Summary: net-misc/nxserver-freenx: QA Notice: make jobserver unavailable
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-12 19:35 UTC by Myckel Habets
Modified: 2010-05-09 19:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix this bug (nxserver-freenx_jobserver_fix.patch,828 bytes, patch)
2010-05-09 07:48 UTC, Myckel Habets
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myckel Habets 2010-04-12 19:35:29 UTC
Emerging net-misc/nxserver-freenx-0.7.3_p104-r4 generates the following QA message:

 * QA Notice: make jobserver unavailable:
 * 
 * 	make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
 * 	make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.

Reproducible: Always

Steps to Reproduce:
1. emerge nxserver-freenx
2.
3.

Actual Results:  
 * QA Notice: make jobserver unavailable:
 * 
 * 	make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
 * 	make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.

Expected Results:  
No QA notice.

emerge --info
Portage 2.1.8.3 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31-gentoo-r10 i686)
=================================================================
System uname: Linux-2.6.31-gentoo-r10-i686-Mobile_AMD_Sempron-tm-_Processor_2800+-with-gentoo-1.12.13
Timestamp of tree: Mon, 12 Apr 2010 17:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [enabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1, 3.1.2-r1
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distcc distlocks fixpackages news nostrip parallel-fetch protect-owned sandbox sfperms strict test unmerge-logs unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X acl acpi alsa avahi berkdb bzip2 cairo cli cracklib crypt cxx dbus dri encode fam ffmpeg fortran fts3 gdbm gmp gnutls gpm gtk hal iconv icu ipv6 ithreads java5 jpeg libnotify mmx modules mudflap ncurses nptl nptlonly ogg openexr opengl openmp pam pcre perl pic player png pppd python rdesktop readline reflection sdl session sockets spl sqlite sqlite3 sse sse2 ssl startup-notification svg sysfs tcpd threads truetype unicode vnc x86 xcb xcomposite xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="sis" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Myckel Habets 2010-05-09 07:48:36 UTC
Created attachment 230843 [details, diff]
Patch to fix this bug

This patch should fix this bug.
Comment 2 Bernard Cafarelli gentoo-dev 2010-05-09 19:24:10 UTC
Thanks a lot for both report and patch! I've applied it to current 0.7.3_p104-r4 ebuild